<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke dürfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  Weiter- und Neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
define('ABOVE_TITLE', 'CSV-Excel Import');
define('GIVE_ME_INPUT', 'Required informations are missing!');
define('MAKE_FULL', 'Please correct your entry.');
define('SELECT_POSITION_A', 'Please select the position of the item description.');
define('SELECT_POSITION_B', 'Please select the position of the item description.');
define('SELECT_POSITION_C', 'Please select the tax rate for your items.');
define('SELECT_POSITION_D', 'The default category 1 must contain a value, even if a field position has been selected.');
define('SELECT_POSITION_E', 'Please select the position of the product number, or select -none-.');
define('SELECT_POSITION_F', 'Please select the position of the image URL, or select -none-.');
define('SELECT_POSITION_G', 'Please select the position of the image URL for the second image, or select -none-.');
/* edit Richy Picture 3 - 5 */
define('SELECT_POSITION_G3', 'Please select the position of the image URL for the third image, or select -none-.');
define('SELECT_POSITION_G4', 'Please select the position of the image URL for the fourth image, or select -none-.');
define('SELECT_POSITION_G5', 'Please select the position of the image URL for the fifth image, or select -none-.');
/* edit ende Richy */
define('SELECT_POSITION_H', 'Please select the position of the net price.');
define('SELECT_POSITION_I', 'Please select the position of the SRP, or select -none-.');
define('SELECT_POSITION_J', 'Please select the position of the weight, or select -none-.');
define('SELECT_POSITION_K', 'Please select the position of the subtitle, or select -none-.');
define('SELECT_POSITION_EAN', 'Please select the position of the EAN, UPC or ISBN, or -none-.');
define('SELECT_POSITION_MPN', 'Please select the position of the manufacturer product number (MPN), or -none-.');
define('SELECT_POSITION_L', 'Please select the position of the manufacturer, or select -none-.');
define('SELECT_POSITION_M', 'Please select the position of the item quantity, or select -none-.');
define('SELECT_POSITION_N', 'Please select the position of the category, or select -none-.');
define('SELECT_POSITION_O', 'Please select the position of category2, or select -none-.');
define('SELECT_POSITION_P', 'Please select the position of category3, or select -none-.');
define('SELECT_POSITION_Q', 'Please select the position of category4, or select -none-.');
define('SELECT_POSITION_R', 'Please select the position of category5, or select -none-.');
define('SELECT_POSITION_S', 'Please select the position of the item description.');
define('SELECT_POSITION_U', 'Please select the position of the status, or select -none-.');
define('SELECT_POSITION_V', 'Please select the position of the desiredfield1, or select -none-.');
define('SELECT_POSITION_W', 'Please select the position of the desiredfield2, or select -none-.');
define('SELECT_POSITION_X', 'Please select the position of the desiredfield3, or select -none-.');
define('SELECT_POSITION_Y', 'Please select the position of the desiredfield4, or select -none-.');
define('SELECT_POSITION_ZA', 'Please select the position of the desiredfield5, or select -none-.');
define('SELECT_POSITION_ZB', 'Please select the position of the desiredfield6, or select -none-.');
define('CONTENT_A', 'If "yes" is selected, unavailable items will be marked with status "available". The RAG review will then simply depend on the quantity. Red is displayed for item quantities below 1. Green is displayed for item displays higher than 1. Select "no" if the status should be saved corresponding with your "availability" =&gt; this way, items not available will not be displayed');
define('CONTENT_B', 'Just enter the field position for the price of each line in the CSV file. This is a required field, which absolutely must exist. If only a gross price is available in the CSV file, select the respective adjoining field, as the price is otherwise assumed as being net.');
define('CONTENT_C', 'This selection applies to all items in your CSV file. The tax rates you have set for your shop are displayed here, and then assigned to the imported product per your selection . Since the tax rates are entered globally, only one tax rate may be selected for all items. Hint: If you have various tax rates, create a CSV file for each tax rate.');
define('CONTENT_F', 'Please enter the separator separeview the data fields in the line');
define('CONTENT_G', 'Please enter the field position of the item description for each line in the CSV file');
define('CONTENT_H', 'Please enter the field position of the subtitle for each line in the CSV file.');
define('CONTENT_I', 'Please enter the field position of the manufacturer for each line in the CSV file.');
define('CONTENT_J', 'Please enter the field position of the item quantity for each line in the CSV file If no field is available, please select the alternative and enter "none" in the field position');
define('CONTENT_K', 'Please enter the field position of the item number for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. IMPORTANT: If items with the same item number are found in the database, the existing item will just be updated');
define('CONTENT_L', 'Please enter the field position of the image URL for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. The URL must be complete, e.g.: http://www.xxx.de/xxx.jpg. If you do not have a complete URL path in the CSV, e.g. only "image.jpg", you may enter the URL to precede the images in the input field blow the position entry. This is helpful if only images are present and all image addresses start the same. Remember, if you select "no image", all items in your shop will have no image!');
define('CONTENT_M', 'Please enter the field position of the image URL for Big Images for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. The URL must be complete, e.g.: http://www.xxx.de/xxx.jpg. If you do not have a complete URL path in the CSV, e.g. only "image.jpg", you may enter the URL to precede the images in the input field blow the position entry. This is helpful if only images are present and all image addresses start the same. Remember, if you select "no image", all items in your shop will have no image!');
define('CONTENT_M3', 'Please enter the field position of the image URL for third Images for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. The URL must be complete, e.g.: http://www.xxx.de/xxx.jpg. If you do not have a complete URL path in the CSV, e.g. only "image.jpg", you may enter the URL to precede the images in the input field blow the position entry. This is helpful if only images are present and all image addresses start the same. Remember, if you select "no image", all items in your shop will have no image!');
define('CONTENT_M4', 'Please enter the field position of the image URL for Fourth Images for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. The URL must be complete, e.g.: http://www.xxx.de/xxx.jpg. If you do not have a complete URL path in the CSV, e.g. only "image.jpg", you may enter the URL to precede the images in the input field blow the position entry. This is helpful if only images are present and all image addresses start the same. Remember, if you select "no image", all items in your shop will have no image!');
define('CONTENT_M5', 'Please enter the field position of the image URL for Fifth Images for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. The URL must be complete, e.g.: http://www.xxx.de/xxx.jpg. If you do not have a complete URL path in the CSV, e.g. only "image.jpg", you may enter the URL to precede the images in the input field blow the position entry. This is helpful if only images are present and all image addresses start the same. Remember, if you select "no image", all items in your shop will have no image!');
define('CONTENT_N', 'Just enter the field position for the price of each line in the CSV file. This is a required field, which absolutely must exist. If only a gross price is available in the CSV file, select the respective adjoining field, as the price is otherwise assumed as being net.');
define('CONTENT_O', 'Please enter the field position of the SRP for each line in the CSV file If no field is available, please select the alternative and enter "none" in the default field position.');
define('CONTENT_P', 'Just enter the field position for the weight of each line in the CSV file. If no field is available, please select the alternative and enter "none" in the field position');
define('CONTENT_Q', 'Please enter the field position of the product\'s category for each line in the CSV file. If no field is available, please select the alternative and enter "none" in the default field position. The default value must be selected, as the items require a category. All items will then be imported into this category. In this case, it is no longer necessary to designate a main category.');
define('CONTENT_R', 'Other categories such as Category2 and Category3 only need to be selected if a Category2 or Category3 is available in your CSV file.');
define('CONTENT_S', 'Please enter the field position of the product description for each line in the CSV file. This is a required field, which absolutely must exist. The filter may also be set to "yes", if you would like to filter HTML Code from your description.');
define('CONTENT_S2', 'Please enter the field position of the category description for each line in the CSV file. The filter may also be set to "yes", if you would like to filter HTML Code from your description.');
define('CONTENT_T', 'Availability:  Just enter the field position for the availability value of each line in the CSV file. If no field is available, please select the alternative and enter "none" in the field position. <br><br>Availability value: Please enter which value is contained in the CSV file for "Available" (Case sensitive: please note upper and&nbsp;lower case). CAUTION: The availability is independent of the RAG function. The status will always be displayed as "available", if the RAG function is set to "yes". In this case, the indicator will either be red or green, depending on whether the value of item quantity is greater or smaller than 1. The default value allows you to set all items to Available = "YES" or all items to Not Available = "NO" when the RAG function is set to "no" and you have no value entered in your CSV');
define('CONTENT_U', 'Enter the desired title in the fields, these desired descriptions are identical with the field "Description" for additional product page content. The adjacent field then refers to the content in your CSV file. Example: Description =&gt; "Manufacturer Number:" Content =&gt; "--Number from the CSV--".');
define('CONTENT_W', 'Please enter the name for a main category, if you would like for all categories and their items to be imported into this category.');
define('CONTENT_EAN', 'Please enter here the field position of the UPC, EAN or ISBN Nummer from each line in the CSV file');
define('CONTENT_MPN', 'Please enter here the field position of the producer product number (MPN) from each line in the CSV file');
define('TEXT_ALERT_AGAIN', 'This page has already been confirmed. Please click on OK and wait for the process to complete.');
define('TEXT_EXPLAIN_MAIN', 'This Tool is great for importing a CSV file saved as this format using Excel and its item data into your existing Shop. During this process, the item numbers of the CSV file are compared with existing item numbers in the database, simply updating identical existing items. All imports may be saved as template at the bottom. Please ensure the content of the CSV file is correct, or errors may result. ');
define('TEXT_MAIN', 'CSV-Excel Import');
define('TEXT_PLEASE_SELECT', 'Please select');
define('TEXT_DESCR', 'Description');
define('TEXT_POSITION_IN_CSV', 'Field position in your CSV file');
define('TEXT_MUST_OR_NOT', 'Required Field and Alternatives');
define('TEXT_AMPEL', 'Would you like to use the RAG function');
define('TEXT_MORE_PRICE', 'Surcharge');
define('TEXT_CLOSE', 'close');
define('TEXT_TAX_IN_CSV', 'Tax rate for all items in the CSV file');
define('TEXT_HOW_SEPERATE', 'How are fields separated?');
define('TEXT_ALERT_NO_KOMMA', '!No Apostrophe!');
define('TEXT_MUST_TO', 'Required');
define('TEXT_NO_FIELD', 'none');
define('TEXT_ITEMSNAME', 'Item name');
define('TEXT_UNDERTITLE', 'Subtitle');
define('TEXT_UPC_EAN_ISPN', 'UPC,EAN,ISBN');
define('TEXT_MPN', 'Manufacturer Product Number(MPN)');
define('TEXT_OPTIONAL', 'Optional');
define('TEXT_PRODUCER', 'Manufacturer');
define('TEXT_COUNT_ITEM', 'Item Quantity');
define('TEXT_ITEMS_MODEL', 'Item Number');
define('TEXT_URL_TO_PIC', 'Complete URL of the product image');
define('TEXT_URL_TO_PIC_EXAMPLE', 'e.g. http://www.domain.de/bild.jpg');
define('TEXT_URL_ONLY_PIC', 'URL path, if image only');
define('TEXT_PIC_COPY', 'Download images from the directory entered into the Shop.');
define('TEXT_PIC_URL', 'Link to picture on external server.');
define('TEXT_ONLY_PICNAME_CHANGE', 'Change image name only.');
define('TEXT_NO_PIC', 'No image:');
define('TEXT_NOT_RECOM', 'not recommended');
define('TEXT_FULL_URL_PIC', 'Complete URL of the large product image');
define('TEXT_FULL_URL_PIC3', 'Complete URL to the third product image');
define('TEXT_FULL_URL_PIC4', 'Complete URL to the fourth product image');
define('TEXT_FULL_URL_PIC5', 'Complete URL to the fifth product image');
define('TEXT_NO_BIG_PIC', 'No large image:');
define('TEXT_NO_BIG_PIC3', 'No large third image:');
define('TEXT_NO_BIG_PIC4', 'No large fourth image:');
define('TEXT_NO_BIG_PIC5', 'No large fifth image:');
define('TEXT_IF_PRICE_BRUTTO', 'If price gross');
define('TEXT_DEFAULT_WEIGHT', 'Default weight:');
define('TEXT_DEFAULT_CAT', 'Default category name:');
define('TEXT_SECOND_DEFAULT_CAT', 'Secondary default category name:<br>leave blank if not desired');
define('TEXT_THIRD_DEFAULT_CAT', 'Third default category name:<br>leave blank if not desired');
define('TEXT_FOURTH_DEFAULT_CAT', 'Fourth default category name:<br>leave blank if not desired');
define('TEXT_FIVTH_DEFAULT_CAT', 'Fifth default category name:<br>leave blank if not desired');
define('TEXT_CAT', 'Category');
define('TEXT_PRICE_NET', 'Product price (net)');
define('TEXT_UVP', 'SRP');
define('TEXT_WEIGHT', 'Weight');
define('TEXT_CAT_TWO', 'Second category');
define('TEXT_CAT_THREE', 'Third category');
define('TEXT_CAT_FOUR', 'Fourth category');
define('TEXT_CAT_FIVE', 'Fifth category');
define('TEXT_FULL_DESC', 'Full item description');
define('TEXT_FULL_DESC_IN_CAT', 'Full category description');
define('TEXT_GO_SHIPPING', 'Availability');
define('TEXT_THERE_VALUE', 'Availability value');
define('TEXT_DEFAULT_FOR_SHIP', 'Default availability value:');
define('TEXT_GREAT_YES', 'YES');
define('TEXT_GREAT_NO', 'NO');
define('TEXT_YOUR_DESC_A', 'Your description no.1 / Content of CSV');
define('TEXT_YOUR_DESC_B', 'Your description no.2 / Content of CSV');
define('TEXT_YOUR_DESC_C', 'Your description no.3 / Content of CSV');
define('TEXT_YOUR_DESC_D', 'Your description no.4 / Content of CSV');
define('TEXT_YOUR_DESC_E', 'Your description no.5 / Content of CSV');
define('TEXT_YOUR_DESC_F', 'Your description no.6 / Content of CSV');
define('TEXT_WISH_FIELD_A', 'Custom field no. 1');
define('TEXT_WISH_FIELD_B', 'Custom field no. 2');
define('TEXT_WISH_FIELD_C', 'Custom field no. 3');
define('TEXT_WISH_FIELD_D', 'Custom field no. 4');
define('TEXT_WISH_FIELD_E', 'Custom field no. 5');
define('TEXT_WISH_FIELD_F', 'Custom field no. 6');
define('TEXT_MAIN_CAT', 'Main category');
define('TEXT_NOT_FILL', 'leave blank if not desired');
define('TEXT_SELECT_CSV', 'Please select your CSV file here:');
define('TEXT_SAVE_AS_TEMPLATE', 'Save as template');
define('TEXT_NAME_OF_TEMPLATE', 'Template name (if selected)');
define('TEXT_EXAMPLE_CAT', 'Sample category');
define('TEXT_SMALL_YES', 'yes');
define('TEXT_SMALL_NO', 'no');
define('TEXT_FILTER', 'Filter');
define('TEXT_RANDOMNUMBER', 'Random number');

define('PICTURE_TEMPLATE_OPEN', 'open template');
define('PICTURE_TEMPLATE_DELETE', 'delete template');
?>